> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Round Question

> Round question



## OpenAPI

````yaml get /rounds/{round_id}/question
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}/question:
    get:
      tags:
        - rounds
      summary: Get Round Question
      description: Round question
      operationId: get_round_question_rounds__round_id__question_get
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundQuestionItemGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundQuestionItemGetResponse:
      properties:
        id:
          type: integer
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        countdown:
          type: integer
          title: Countdown
          default: 30
        question_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question Start
        question_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Question End
        question_text:
          type: string
          title: Question Text
        picture_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture Url
        question_type:
          type: string
          title: Question Type
        answers:
          items:
            $ref: '#/components/schemas/RoundQuestionItemAnswerGetResponse'
          type: array
          title: Answers
        category_theme:
          $ref: '#/components/schemas/RoundQuestionCategoryThemeGetResponse'
        certificate:
          anyOf:
            - $ref: '#/components/schemas/RoundQuestionCertificateGetResponse'
            - type: 'null'
        round_id:
          type: string
          title: Round Id
        is_private:
          type: boolean
          title: Is Private
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
      type: object
      required:
        - id
        - question_text
        - question_type
        - answers
        - category_theme
        - round_id
        - is_private
      title: RoundQuestionItemGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundQuestionItemAnswerGetResponse:
      properties:
        id:
          type: integer
          title: Id
        text:
          type: string
          title: Text
        is_correct:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Correct
      type: object
      required:
        - id
        - text
      title: RoundQuestionItemAnswerGetResponse
    RoundQuestionCategoryThemeGetResponse:
      properties:
        name:
          type: string
          title: Name
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
        category:
          $ref: '#/components/schemas/RoundQuestionCategoryGetResponse'
      type: object
      required:
        - name
        - category
      title: RoundQuestionCategoryThemeGetResponse
    RoundQuestionCertificateGetResponse:
      properties:
        id:
          type: string
          title: Id
        text:
          type: string
          title: Text
        discount_percent:
          type: integer
          title: Discount Percent
      type: object
      required:
        - id
        - text
        - discount_percent
      title: RoundQuestionCertificateGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RoundQuestionCategoryGetResponse:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: RoundQuestionCategoryGetResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````